com.pixelmed.display

## Class SafeCursorChanger.SafeCursorSetterThread

- java.lang.Object
- - com.pixelmed.display.SafeCursorChanger.SafeCursorSetterThread

- All Implemented Interfaces:
    java.lang.Runnable
  Enclosing class:
    SafeCursorChanger

      public class SafeCursorChanger.SafeCursorSetterThread
      extends java.lang.Object
      implements java.lang.Runnable

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.awt.Cursor` | `cursor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SafeCursorSetterThread(java.awt.Cursor cursor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cursor

          protected java.awt.Cursor cursor

  - ### Constructor Detail

    - #### SafeCursorSetterThread

          public SafeCursorSetterThread(java.awt.Cursor cursor)

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `java.lang.Runnable`